#!/usr/bin/env python
#
# This file is part of Hablame!
# Author(s): Gretchen Jolie Peavy, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Hablame! is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Hablame! is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Hablame!.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 600
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("game background bigger.gif")

# Set up the group of activities
activities = pygame.sprite.OrderedUpdates()
activities.add(Activity1((40,40),background,"school.bmp","schooldone.bmp"))
activities.add(Activity2((580,40),background,"grocery.bmp","grocerydone.bmp"))
activities.add(Activity3((580,370),background,"clothing.bmp","clothingdone.bmp"))
activities.add(Activity4((30,350),background,"pinkhous.gif","pinkhousdone.gif"))

# Main game play
# Start screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font(None, 100)
	text = font.render("Learn to Speak Spanish!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 40)
	text = font.render("Learn new vocabulary words!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 50)
	text = font.render("Press any key to start the game.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+50
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
while True:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			#find the next available activity (the first activity in the list that has not been completed)
			for activity in activities:
				nextactivity = activity
				if not activity.activity_completed:
					break

			#if the user has clicked on the next available activity, play it
			if nextactivity.rect.collidepoint(event.pos):
				nextactivity.play()

	# Draw everything to the screen
	screen.blit(background,(0,0))
	activities.draw(screen)
	pygame.display.flip()
